Class | Rack::CommonLogger
In: | lib/action_controller/vendor/rack-1.0/rack/commonlogger.rb
Parent: | Object

Rack::CommonLogger forwards every request to an `app` given, and logs a line in the Apache common log format to the `logger`, or rack.errors by default.

### Methods

<< _call call close each new

### Public Class methods

new(app, logger=nil)

### Public Instance methods

<<(str)

By default, log to rack.errors.

_call(env)
call(env)
close()
each() {|part| ...}

[Validate]